=== debian/changelog ===
oscpack (1.0.2-1) unstable; urgency=low

  * Initial release (Closes: #609341)  

 -- Monty Taylor <mordred@inaugust.com>  Thu, 26 Aug 2010 23:00:35 -0700
