=== debian/control ===
Source: oscpack
Priority: optional
Maintainer: Monty Taylor <mordred@inaugust.com>
Build-Depends: debhelper (>= 7.0.50)
Standards-Version: 3.9.1
Section: libs
Homepage: http://www.audiomulch.com/~rossb/code/oscpack/
Vcs-Browser: http://bazaar.launchpad.net/~mordred/debian/sid/oscpack/trunk/files
Vcs-Bzr: http://bazaar.launchpad.net/~mordred/debian/sid/oscpack/trunk

Package: liboscpack-dev
Section: libdevel
Architecture: any
Depends: liboscpack1 (= ${binary:Version}), libasound2-dev, ${misc:Depends}
Description: A C++ library for packing and unpacking OSC packets - dev files
 Oscpack is simply a set of C++ classes for packing and unpacking OSC
 packets. Oscpack includes a minimal set of UDP networking classes for
 Windows and POSIX which are sufficient for writing many OSC applications
 and servers, but you are encouraged to use another networking framework
 if it better suits your needs. Oscpack is not an OSC application
 framework, it doesn't include infrastructure for constructing or routing
 OSC namespaces, just classes for easily constructing, sending, receiving
 and parsing OSC packets. The library should also be easy to use for
 other transport methods (eg serial).
 .
 The key goals of the oscpack library are:
 .
  - to be a simple and complete implementation of OSC
  - to be portable to a wide variety of platforms
  - to allow easy development of robust OSC applications (for example it
    should be impossible to crash a server by sending it malformed packets,
    and difficult to create malformed packets.)
 .
 This package contains files needed for development.
 
Package: liboscpack-dbg
Section: debug
Architecture: any
Priority: extra
Depends: liboscpack1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: A C++ library for packing and unpacking OSC packets - debug symbols
 Oscpack is simply a set of C++ classes for packing and unpacking OSC
 packets. Oscpack includes a minimal set of UDP networking classes for
 Windows and POSIX which are sufficient for writing many OSC applications
 and servers, but you are encouraged to use another networking framework
 if it better suits your needs. Oscpack is not an OSC application
 framework, it doesn't include infrastructure for constructing or routing
 OSC namespaces, just classes for easily constructing, sending, receiving
 and parsing OSC packets. The library should also be easy to use for
 other transport methods (eg serial).
 .
 The key goals of the oscpack library are:
 .
  - to be a simple and complete implementation of OSC
  - to be portable to a wide variety of platforms
  - to allow easy development of robust OSC applications (for example it
    should be impossible to crash a server by sending it malformed packets,
    and difficult to create malformed packets.)
 .
 This package contains debug symbols.

Package: liboscpack1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: A C++ library for packing and unpacking OSC packets
 Oscpack is simply a set of C++ classes for packing and unpacking OSC
 packets. Oscpack includes a minimal set of UDP networking classes for
 Windows and POSIX which are sufficient for writing many OSC applications
 and servers, but you are encouraged to use another networking framework
 if it better suits your needs. Oscpack is not an OSC application
 framework, it doesn't include infrastructure for constructing or routing
 OSC namespaces, just classes for easily constructing, sending, receiving
 and parsing OSC packets. The library should also be easy to use for
 other transport methods (eg serial).
 .
 The key goals of the oscpack library are:
 .
  - to be a simple and complete implementation of OSC
  - to be portable to a wide variety of platforms
  - to allow easy development of robust OSC applications (for example it
    should be impossible to crash a server by sending it malformed packets,
    and difficult to create malformed packets.)
 .
 This package provides the shared library.
