=== debian/rules ===
#!/usr/bin/make -f

TMP=$(CURDIR)/debian/tmp/

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- lib

override_dh_installchangelogs:
	dh_installchangelogs CHANGES

override_dh_auto_install:
	mkdir -p ${TMP}/usr/lib/$(DEB_HOST_MULTIARCH)
	mkdir -p ${TMP}/usr/include/oscpack/ip
	mkdir -p ${TMP}/usr/include/oscpack/osc
	cp liboscpack.so.1.1.0 ${TMP}/usr/lib/$(DEB_HOST_MULTIARCH)/
	ln -s liboscpack.so.1.1.0 ${TMP}/usr/lib/$(DEB_HOST_MULTIARCH)/liboscpack.so.1
	ln -s liboscpack.so.1.1.0 ${TMP}/usr/lib/$(DEB_HOST_MULTIARCH)/liboscpack.so
	cp ip/*.h ${TMP}/usr/include/oscpack/ip
	cp osc/*.h ${TMP}/usr/include/oscpack/osc
