=== debian/watch ===
version=4
http://www.audiomulch.com/~rossb/code/oscpack http://www.audiomulch.com/~rossb/code/oscpack/oscpack_(.*).zip
